=== debian/changelog ===
msgpack-c (3.3.0-4) unstable; urgency=medium

  * Add libboost-dev to libmsgpack-dev Depends (Ref #965301)

 -- James McCoy <jamessan@debian.org>  Sun, 19 Jul 2020 21:30:56 -0400

msgpack-c (3.3.0-3) unstable; urgency=medium

  * Revert "Enable MSGPACK_BOOST and add
    libboost-{chrono,context,system,timer}-dev Build-Depends".
    + libboost-context-dev isn't available on all architectures.  The next
      upstream version will refine the required Boost libaries.  Until then,
      go back to not running the Boost tests.
  * Only Build-Depend on libboost-dev for tests

 -- James McCoy <jamessan@debian.org>  Wed, 15 Jul 2020 10:18:06 -0400

msgpack-c (3.3.0-2) unstable; urgency=medium

  * Remove build17/ during cleanup
  * Backport upstream patches to fix FTBFS on armhf.  (Closes: #965010)
  * Enable MSGPACK_BOOST and add libboost-{chrono,context,system,timer}-dev
    Build-Depends.

 -- James McCoy <jamessan@debian.org>  Wed, 15 Jul 2020 01:41:36 -0400

msgpack-c (3.3.0-1) unstable; urgency=medium

  * New upstream release
    + Fix FTBFS on 32-bit architectures (Closes: #950496)
  * copyright: Remove unused Files/License paragraphs
  * Declare compliance with Policy 4.5.0, no changes needed
  * tests/control:
    + Add libcjson-dev to Depends for new json example

 -- James McCoy <jamessan@debian.org>  Fri, 05 Jun 2020 23:40:36 -0400

msgpack-c (3.2.1-1) experimental; urgency=medium

  * New upstream release (Closes: #919672)
  * rules:
    + Remove obsolete handling of differing hardening=+all,-pie semantics
    + Run build-time tests for C++11 and C++17
  * Switch to debhelper compat 12 via debhelper-compat
  * control:
    + Add graphviz to Build-Depends-Indep to build graphs in API docs
    + Mark libmsgpack-doc Multi-Arch: foreign
    + Mark libmsgpack-dev Multi-Arch: same
  * Use jdupes to reduce size of libmsgpack-doc
  * Declare compliance with Policy 4.4.1, no changes needed
  * autopkgtests:
    + Depend on libmsgpack-dev, not "@".  Installing libmsgpack-doc just
      wastes time/disk space.
    + Use example directory's CMakeLists.txt to build/test all examples
  * Avoid building/installing documentation for nodoc build profile/options
    + Add <!nodoc> to Build-Depends-Indep
    + Add <!nodoc> Build-Profiles to libmsgpack-doc stanza
    + Don't build libmsgpack-doc if DEB_BUILD_OPTIONS=nodoc

 -- James McCoy <jamessan@debian.org>  Wed, 01 Jan 2020 23:10:23 -0500
