=== debian/changelog ===
msgpack-c (4.0.0-1) unstable; urgency=medium

  * New upstream release
    + Upstream has split the project into two separate upstream packages --
      msgpack-c (this package) and msgpack-cxx.
  * Move packaging repo to debian/msgpack-c
  * Declare compliance with Policy 4.6.1, no changes needed
  * Switch Build-Depends from googletest to libgtest-dev
  * Add libmsgpack-cxx-dev Depends to libmsgpack-dev while packages migrate

 -- James McCoy <jamessan@debian.org>  Tue, 26 Jul 2022 06:54:30 -0400
