=== debian/control ===
--- 
+++ 
@@ -10,15 +10,14 @@
 Build-Depends:
  cmake (>= 2.8.12),
  debhelper-compat (= 12),
- googletest <!nocheck>,
- libboost-dev <!nocheck>,
+ libgtest-dev <!nocheck>,
  ninja-build,
  zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/msgpack/msgpack-c/
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/jamessan/msgpack-c.git
-Vcs-Browser: https://salsa.debian.org/jamessan/msgpack-c
+Vcs-Git: https://salsa.debian.org/debian/msgpack-c.git
+Vcs-Browser: https://salsa.debian.org/debian/msgpack-c
 
 Package: libmsgpackc2
 Pre-Depends:
@@ -38,8 +37,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libboost-dev,
  libmsgpackc2 (= ${binary:Version}),
+ libmsgpack-cxx-dev,
  ${misc:Depends},
 Suggests:
  libmsgpack-doc,
