=== debian/tests/control ===
Tests: run_examples
Depends:
 build-essential,
 cmake,
 libcjson-dev,
 libmsgpack-dev,
