## msgpack-c 6.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,21 @@
-CMAKE_MINIMUM_REQUIRED (VERSION 2.8.12)
-
-IF ((CMAKE_VERSION VERSION_GREATER 3.1) OR
-    (CMAKE_VERSION VERSION_EQUAL 3.1))
-    CMAKE_POLICY(SET CMP0054 NEW)
-ENDIF ()
-
-PROJECT (msgpack)
+if(${CMAKE_VERSION} VERSION_GREATER "3.4")
+    CMAKE_MINIMUM_REQUIRED (VERSION 3.5)
+else()
+    CMAKE_MINIMUM_REQUIRED (VERSION 2.8.12)
+    IF ((CMAKE_VERSION VERSION_GREATER 3.1) OR
+        (CMAKE_VERSION VERSION_EQUAL 3.1))
+        CMAKE_POLICY(SET CMP0054 NEW)
+    ENDIF ()
+endif()
+
+OPTION (MSGPACK_BUILD_TESTS "Build msgpack tests." OFF)
+OPTION (MSGPACK_GEN_COVERAGE "Enable running gcov to get a test coverage report." OFF)
+
+if(MSGPACK_BUILD_TESTS)
+    PROJECT (msgpack-c)
+else()
+    PROJECT (msgpack-c C)
+endif()
 
 FILE (READ ${CMAKE_CURRENT_SOURCE_DIR}/include/msgpack/version_master.h contents)
 STRING (REGEX MATCH "#define MSGPACK_VERSION_MAJOR *([0-9a-zA-Z_]*)" NULL_OUT ${contents})
@@ -17,10 +27,11 @@
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_REVISION})
 
 LIST (APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/")
+include(GNUInstallDirs)
 SET (prefix ${CMAKE_INSTALL_PREFIX})
-SET (exec_prefix "\${prefix}")
-SET (libdir "\${exec_prefix}/lib")
-SET (includedir "\${prefix}/include")
+SET (exec_prefix ${CMAKE_INSTALL_PREFIX})
+SET (libdir ${CMAKE_INSTALL_LIBDIR})
+SET (includedir ${CMAKE_INSTALL_INCLUDEDIR})
 
 OPTION (MSGPACK_32BIT "32bit compile" OFF)
 
@@ -31,7 +42,7 @@
     SET(MSGPACK_ENDIAN_LITTLE_BYTE 0)
 ELSE ()
     SET(MSGPACK_ENDIAN_BIG_BYTE 0)
-	SET(MSGPACK_ENDIAN_LITTLE_BYTE 1)
+    SET(MSGPACK_ENDIAN_LITTLE_BYTE 1)
 ENDIF ()
 
 CONFIGURE_FILE (
@@ -74,14 +85,6 @@
    SET (CMAKE_C_FLAGS "-f${MSGPACK_CHAR_SIGN}-char ${CMAKE_C_FLAGS}")
 ENDIF ()
 
-FIND_PACKAGE (GTest)
-FIND_PACKAGE (ZLIB)
-FIND_PACKAGE (Threads)
-IF (GTEST_FOUND AND ZLIB_FOUND AND THREADS_FOUND)
-    OPTION (MSGPACK_BUILD_TESTS "Build msgpack tests." ON)
-    OPTION (MSGPACK_GEN_COVERAGE "Enable running gcov to get a test coverage report." OFF)
-ENDIF ()
-
 IF (DEFINED BUILD_SHARED_LIBS)
     IF (BUILD_SHARED_LIBS)
         IF (DEFINED MSGPACK_ENABLE_SHARED AND NOT MSGPACK_ENABLE_SHARED)
@@ -115,20 +118,20 @@
 INCLUDE (Files.cmake)
 
 CONFIGURE_FILE (
-    msgpack.pc.in
-    msgpack.pc
+    msgpack-c.pc.in
+    msgpack-c.pc
     @ONLY
 )
 
 IF (MSGPACK_ENABLE_SHARED OR MSGPACK_ENABLE_STATIC)
-    ADD_LIBRARY (msgpackc
-        ${msgpackc_SOURCES}
-        ${msgpackc_HEADERS}
-    )
-
-    SET_TARGET_PROPERTIES (msgpackc PROPERTIES SOVERSION 2 VERSION 2.0.0)
-
-    TARGET_INCLUDE_DIRECTORIES (msgpackc
+    ADD_LIBRARY (msgpack-c
+        ${msgpack-c_SOURCES}
+        ${msgpack-c_HEADERS}
+    )
+
+    SET_TARGET_PROPERTIES (msgpack-c PROPERTIES SOVERSION 2 VERSION 2.0.0)
+
+    TARGET_INCLUDE_DIRECTORIES (msgpack-c
         PUBLIC
             $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
             $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
@@ -141,12 +144,12 @@
 
 
 IF (MSGPACK_ENABLE_SHARED AND MSGPACK_ENABLE_STATIC)
-    ADD_LIBRARY (msgpackc-static STATIC
-        ${msgpackc_SOURCES}
-        ${msgpackc_HEADERS}
-    )
-
-    TARGET_INCLUDE_DIRECTORIES (msgpackc-static
+    ADD_LIBRARY (msgpack-c-static STATIC
+        ${msgpack-c_SOURCES}
+        ${msgpack-c_HEADERS}
+    )
+
+    TARGET_INCLUDE_DIRECTORIES (msgpack-c-static
         PUBLIC
             $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
             $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
@@ -156,13 +159,13 @@
             ${CMAKE_CURRENT_SOURCE_DIR}
     )
 
-    SET_TARGET_PROPERTIES (msgpackc-static PROPERTIES OUTPUT_NAME "msgpackc")
+    SET_TARGET_PROPERTIES (msgpack-c-static PROPERTIES OUTPUT_NAME "msgpack-c")
 
     IF (MSGPACK_ENABLE_SHARED)
         IF (MSVC)
-            SET_TARGET_PROPERTIES (msgpackc PROPERTIES IMPORT_SUFFIX "_import.lib")
+            SET_TARGET_PROPERTIES (msgpack-c PROPERTIES IMPORT_SUFFIX "_import.lib")
         ELSEIF (MINGW)
-            SET_TARGET_PROPERTIES (msgpackc PROPERTIES IMPORT_SUFFIX ".dll.a")
+            SET_TARGET_PROPERTIES (msgpack-c PROPERTIES IMPORT_SUFFIX ".dll.a")
         ENDIF ()
     ENDIF ()
 ENDIF ()
@@ -194,19 +197,19 @@
 
 IF ("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
     IF (MSGPACK_ENABLE_SHARED OR MSGPACK_ENABLE_STATIC)
-        SET_PROPERTY (TARGET msgpackc APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra -DPIC")
+        SET_PROPERTY (TARGET msgpack-c APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra -DPIC")
     ENDIF ()
     IF (MSGPACK_ENABLE_SHARED AND MSGPACK_ENABLE_STATIC)
-       SET_PROPERTY (TARGET msgpackc-static APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra" )
+       SET_PROPERTY (TARGET msgpack-c-static APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra" )
     ENDIF ()
 ENDIF ()
 
 IF ("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
     IF (MSGPACK_ENABLE_SHARED OR MSGPACK_ENABLE_STATIC)
-        SET_PROPERTY (TARGET msgpackc APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
+        SET_PROPERTY (TARGET msgpack-c APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
     ENDIF ()
     IF (MSGPACK_ENABLE_SHARED AND MSGPACK_ENABLE_STATIC)
-        SET_PROPERTY (TARGET msgpackc-static APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
+        SET_PROPERTY (TARGET msgpack-c-static APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
     ENDIF ()
 ENDIF ()
 
@@ -227,7 +230,7 @@
 ENDIF ()
 
 IF ("${CMAKE_C_COMPILER_ID}" STREQUAL "MSVC90" OR "${CMAKE_C_COMPILER_ID}" STREQUAL "MSVC10")
-    SET_SOURCE_FILES_PROPERTIES(${msgpackc_SOURCES} PROPERTIES LANGUAGE C)
+    SET_SOURCE_FILES_PROPERTIES(${msgpack-c_SOURCES} PROPERTIES LANGUAGE C)
 ENDIF ()
 
 IF ("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "sparc")
@@ -247,28 +250,28 @@
 ENDIF ()
 
 IF (MSGPACK_ENABLE_SHARED OR MSGPACK_ENABLE_STATIC)
-    SET (MSGPACK_INSTALLTARGETS msgpackc)
+    SET (MSGPACK_INSTALLTARGETS msgpack-c)
 ENDIF ()
 
 IF (MSGPACK_ENABLE_SHARED AND MSGPACK_ENABLE_STATIC)
-    LIST (APPEND MSGPACK_INSTALLTARGETS msgpackc-static)
-ENDIF ()
-
-INSTALL (TARGETS ${MSGPACK_INSTALLTARGETS} EXPORT msgpack-targets
+    LIST (APPEND MSGPACK_INSTALLTARGETS msgpack-c-static)
+ENDIF ()
+
+INSTALL (TARGETS ${MSGPACK_INSTALLTARGETS} EXPORT msgpack-c-targets
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
 )
-FOREACH (file ${msgpackc_common_HEADERS})
+FOREACH (file ${msgpack-c_common_HEADERS})
     GET_FILENAME_COMPONENT (dir ${file} PATH)
-    INSTALL (FILES ${file} DESTINATION ${CMAKE_INSTALL_PREFIX}/${dir})
+    INSTALL (FILES ${file} DESTINATION ${dir})
 ENDFOREACH ()
-FOREACH (file ${msgpackc_configured_HEADERS})
+FOREACH (file ${msgpack-c_configured_HEADERS})
     GET_FILENAME_COMPONENT (dir ${file} PATH)
-    INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/${file} DESTINATION ${CMAKE_INSTALL_PREFIX}/${dir})
+    INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/${file} DESTINATION ${dir})
 ENDFOREACH ()
 IF (NOT MSVC)
-    INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/msgpack.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+    INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/msgpack-c.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 ENDIF ()
 
 # Doxygen
@@ -298,36 +301,36 @@
 
 INCLUDE (CMakePackageConfigHelpers)
 
-SET (CMAKE_INSTALL_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake/msgpack")
+SET (CMAKE_INSTALL_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake/msgpack-c")
 
 WRITE_BASIC_PACKAGE_VERSION_FILE (
-    msgpack-config-version.cmake
+    msgpack-c-config-version.cmake
     VERSION ${VERSION}
     COMPATIBILITY SameMajorVersion
 )
 
 IF (NOT CMAKE_VERSION VERSION_LESS 3.0)
-    EXPORT (EXPORT msgpack-targets
-        FILE "${CMAKE_CURRENT_BINARY_DIR}/msgpack-targets.cmake"
-    )
-ENDIF ()
-
-CONFIGURE_PACKAGE_CONFIG_FILE (msgpack-config.cmake.in
-    msgpack-config.cmake
+    EXPORT (EXPORT msgpack-c-targets
+        FILE "${CMAKE_CURRENT_BINARY_DIR}/msgpack-c-targets.cmake"
+    )
+ENDIF ()
+
+CONFIGURE_PACKAGE_CONFIG_FILE (msgpack-c-config.cmake.in
+    msgpack-c-config.cmake
     INSTALL_DESTINATION "${CMAKE_INSTALL_CMAKEDIR}"
 )
 
-INSTALL (EXPORT msgpack-targets
+INSTALL (EXPORT msgpack-c-targets
     FILE
-        msgpack-targets.cmake
+        msgpack-c-targets.cmake
     DESTINATION
         "${CMAKE_INSTALL_CMAKEDIR}"
 )
 
 INSTALL (
     FILES
-        "${CMAKE_CURRENT_BINARY_DIR}/msgpack-config.cmake"
-        "${CMAKE_CURRENT_BINARY_DIR}/msgpack-config-version.cmake"
+        "${CMAKE_CURRENT_BINARY_DIR}/msgpack-c-config.cmake"
+        "${CMAKE_CURRENT_BINARY_DIR}/msgpack-c-config-version.cmake"
     DESTINATION
         "${CMAKE_INSTALL_CMAKEDIR}"
 )
