=== debian/changelog ===
msgpack-c (6.0.1-3) unstable; urgency=medium

  * Add a libmsgpack-dev transitional package
  * Revert "Move packaging to debian/experimental to prepare for 6.0.0 testing"

 -- James McCoy <jamessan@debian.org>  Tue, 04 Jun 2024 07:55:10 -0400

msgpack-c (6.0.1-2) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Sun, 02 Jun 2024 15:20:18 -0400

msgpack-c (6.0.1-1) experimental; urgency=medium

  * New upstream release
  * Add a salsa-ci config with nodoc/nocheck profile testing enabled
  * Declare compliance with Policy 4.7.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Sat, 25 May 2024 11:10:11 -0400

msgpack-c (6.0.0-5) experimental; urgency=medium

  * Revert "Remove "Provides: libmsgpack-dev" from libmsgpack-c-dev" so
    packages which already support both library names don't need any source
    changes.

 -- James McCoy <jamessan@debian.org>  Mon, 05 Feb 2024 22:08:23 -0500

msgpack-c (6.0.0-4) experimental; urgency=medium

  * Remove "Multi-Arch: same" from libmsgpack-c-dev
  * Fix directory name in jdupes command

 -- James McCoy <jamessan@debian.org>  Mon, 04 Sep 2023 16:01:58 -0400

msgpack-c (6.0.0-3) experimental; urgency=medium

  * autopkgtest: Depend on libmsgpack-c-dev, not libmsgpack-dev

 -- James McCoy <jamessan@debian.org>  Sat, 24 Jun 2023 11:16:25 -0400

msgpack-c (6.0.0-2) experimental; urgency=medium

  * Add Breaks/Replaces for libmsgpack-dev < 6.0.0-1~ (Closes: #1037928)
  * Remove "Provides: libmsgpack-dev" from libmsgpack-c-dev

 -- James McCoy <jamessan@debian.org>  Fri, 23 Jun 2023 20:33:37 -0400

msgpack-c (6.0.0-1) experimental; urgency=medium

  * New upstream release
    + CMake project renamed from msgpack to msgpack-c
    + Library renamed from msgpackc to msgpack-c
  * Define whether to build tests based on $DEB_BUILD_OPTIONS
  * Update packaging for msgpackc -> msgpack-c library renaming
  * Drop Depends: libmsgpack-cxx-dev (Closes: #1018679)
  * Declare compliance with Policy 4.6.2, no changes needed

 -- James McCoy <jamessan@debian.org>  Sun, 11 Jun 2023 14:31:49 -0400

msgpack-c (4.0.0-3) unstable; urgency=medium

  * Add -DCMAKE_SKIP_INSTALL_ALL_DEPENDENCY=OFF to configure to fix Arch: all
    FTBFS

 -- James McCoy <jamessan@debian.org>  Wed, 04 Jan 2023 06:17:30 -0500

msgpack-c (4.0.0-2) unstable; urgency=medium

  * watch: Use GitHub's tags page to find the release tarball
  * ci: Rename run_examples test to run-examples
  * Add upstream/metadata file
  * Update to debhelper-compat 13

 -- James McCoy <jamessan@debian.org>  Mon, 02 Jan 2023 19:19:49 -0500
