=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
  jdupes <!nodoc>,
 Build-Depends:
  cmake (>= 2.8.12),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libgtest-dev <!nocheck>,
  ninja-build,
  zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/msgpack/msgpack-c/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/msgpack-c.git
 Vcs-Browser: https://salsa.debian.org/debian/msgpack-c
 
-Package: libmsgpackc2
+Package: libmsgpack-c2
 Pre-Depends:
  ${misc:Pre-Depends},
 Architecture: any
@@ -33,15 +33,26 @@
  But unlike JSON, it is very fast and small.
 
 Package: libmsgpack-dev
+Architecture: all
+Section: libdevel
+Depends: libmsgpack-c-dev
+Description: transitional dummy package
+ This is a transitional dummy package, it can be safely removed.
+
+Package: libmsgpack-c-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
+Provides:
+ libmsgpack-dev (= ${source:Version}),
+Breaks:
+ libmsgpack-dev (<< 6.0.0-1~),
+Replaces:
+ libmsgpack-dev (<< 6.0.0-1~),
 Depends:
- libmsgpackc2 (= ${binary:Version}),
- libmsgpack-cxx-dev,
+ libmsgpack-c2 (= ${binary:Version}),
  ${misc:Depends},
 Suggests:
- libmsgpack-doc,
+ libmsgpack-c-doc,
 Description: binary-based efficient object serialization library (development files)
  MessagePack is a binary-based efficient object serialization library.
  It enables to exchange structured objects between many languages like JSON.
@@ -49,7 +60,7 @@
  .
  This package contains the headers files needed for developing with msgpack-c.
 
-Package: libmsgpack-doc
+Package: libmsgpack-c-doc
 Section: doc
 Architecture: all
 Build-Profiles: <!nodoc>
