## msgpack-c 6.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,11 @@
         CMAKE_POLICY(SET CMP0054 NEW)
     ENDIF ()
 endif()
+
+IF ((CMAKE_VERSION VERSION_GREATER 3.27) OR
+    (CMAKE_VERSION VERSION_EQUAL 3.27))
+    CMAKE_POLICY(SET CMP0145 OLD)
+ENDIF ()
 
 OPTION (MSGPACK_BUILD_TESTS "Build msgpack tests." OFF)
 OPTION (MSGPACK_GEN_COVERAGE "Enable running gcov to get a test coverage report." OFF)
@@ -30,8 +35,16 @@
 include(GNUInstallDirs)
 SET (prefix ${CMAKE_INSTALL_PREFIX})
 SET (exec_prefix ${CMAKE_INSTALL_PREFIX})
-SET (libdir ${CMAKE_INSTALL_LIBDIR})
-SET (includedir ${CMAKE_INSTALL_INCLUDEDIR})
+IF (IS_ABSOLUTE ${CMAKE_INSTALL_LIBDIR})
+    SET (libdir ${CMAKE_INSTALL_LIBDIR})
+ELSE ()
+    SET (libdir "\${prefix}/${CMAKE_INSTALL_LIBDIR}")
+ENDIF ()
+IF (IS_ABSOLUTE ${CMAKE_INSTALL_INCLUDEDIR})
+    SET (includedir ${CMAKE_INSTALL_INCLUDEDIR})
+ELSE ()
+    SET (includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
+ENDIF ()
 
 OPTION (MSGPACK_32BIT "32bit compile" OFF)
 
@@ -263,12 +276,14 @@
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
 )
 FOREACH (file ${msgpack-c_common_HEADERS})
-    GET_FILENAME_COMPONENT (dir ${file} PATH)
-    INSTALL (FILES ${file} DESTINATION ${dir})
+    GET_FILENAME_COMPONENT(dir ${file} DIRECTORY)
+    STRING(REPLACE "include" "${CMAKE_INSTALL_INCLUDEDIR}" header_path ${dir})
+    INSTALL (FILES ${file} DESTINATION ${header_path})
 ENDFOREACH ()
 FOREACH (file ${msgpack-c_configured_HEADERS})
-    GET_FILENAME_COMPONENT (dir ${file} PATH)
-    INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/${file} DESTINATION ${dir})
+    GET_FILENAME_COMPONENT(dir ${file} DIRECTORY)
+    STRING(REPLACE "include" "${CMAKE_INSTALL_INCLUDEDIR}" header_path ${dir})
+    INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/${file} DESTINATION ${header_path})
 ENDFOREACH ()
 IF (NOT MSVC)
     INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/msgpack-c.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
@@ -330,7 +345,3 @@
 INSTALL (
     FILES
         "${CMAKE_CURRENT_BINARY_DIR}/msgpack-c-config.cmake"
-        "${CMAKE_CURRENT_BINARY_DIR}/msgpack-c-config-version.cmake"
-    DESTINATION
-        "${CMAKE_INSTALL_CMAKEDIR}"
-)
