=== test/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
     )
 
     TARGET_LINK_LIBRARIES (${source_file_we}
-        msgpackc
+        msgpack-c
         ${GTEST_BOTH_LIBRARIES}
         ${ZLIB_LIBRARIES}
         ${CMAKE_THREAD_LIBS_INIT}
