=== debian/changelog ===
msgpack-c (6.1.0-2) unstable; urgency=medium

  * Revert "Move all non-debhelper Build-Depends to Build-Depends-Arch"

 -- James McCoy <jamessan@debian.org>  Tue, 30 Sep 2025 21:08:59 -0400

msgpack-c (6.1.0-1) unstable; urgency=medium

  * New upstream release
  * autopkgtest: Increase cmake_minimm_required version to 3.16
    (Closes: #1116512)
  * Add msgpack_object_init_* symbols
  * Declare compliance with Policy 4.7.2, no changes needed
  * Remove Rules-Requires-Root, no longer necessary
  * Move all non-debhelper Build-Depends to Build-Depends-Arch

 -- James McCoy <jamessan@debian.org>  Tue, 30 Sep 2025 20:30:02 -0400
