=== debian/control ===
--- 
+++ 
@@ -13,9 +13,8 @@
  libgtest-dev <!nocheck>,
  ninja-build,
  zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/msgpack/msgpack-c/
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/msgpack-c.git
 Vcs-Browser: https://salsa.debian.org/debian/msgpack-c
