=== debian/tests/control ===
Tests: run-examples
Depends:
 build-essential,
 cmake,
 libcjson-dev,
 libmsgpack-c-dev,
